# $Revision: 1.3 $, $Date: 2004/05/05 19:30:14 $
#
# Conditional build:
%bcond_without tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	Handler-PrintEvents
Summary:	XML::Handler::PrintEvents - prints PerlSAX events (for debugging)
Summary(pl):	XML::Handler::PrintEvents - wypisywanie zdarze PerlSAX (dla odpluskwiania)
Name:		perl-XML-Handler-PrintEvents
Version:	0.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bd3b3d840d98bca3e11f9dad34364da4
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-XML-Filter-SAXT
%endif
Obsoletes:	perl-libxml-enno
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This PerlSAX handler prints the PerlSAX events it receives to STDOUT.
It can be useful when debugging PerlSAX filters. It supports all
PerlSAX handler including ignorable_whitespace.

%description -l pl
Ten modu obsugi PerlSAX wypisuje otrzymywane zdarzenia PerlSAX na
standardowe wyjcie. Moe to by przydatne przy odpluskwianiu filtrw
PerlSAX. Obsuguje wszystkie funkcje obsugi PerlSAX wcznie z
ignorable_whitespace.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/Handler/PrintEvents.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Handler-PrintEvents.spec,v $
Revision 1.3  2004/05/05 19:30:14  qboosh
- descriptions, restored 1st changelog entry

Revision 1.2  2004/05/05 00:19:00  ankry
- summary / desc

Revision 1.1  2004/05/05 00:00:04  ankry
- new, unfinished
